$(document).ready(function() {
	"use strict";
	var navH, scrollTime, easingMethod;
	//set initial values for variables
	scrollTime = 1000;//how much time in milliseconds 1000ms=1s do you want the scroll to occur
	easingMethod = "easeInOutExpo";//type of easing for the scroll effect
	navH = $("nav").height();//sets variable to height of topBarCentering
	var windowW=$(window).width();
	var windowH=$(window).height();
	function resetIfMobile(){
		windowW=$(window).width();
		if (windowW > 667) {
			navH = $("nav").height();
		} else {
			navH = 0;
		}
		$("#section1").css({
			"margin-top":navH
		});
	}
	resetIfMobile();
	$(window).resize(function(){
		resetIfMobile();
	});
	//actions when buttons are clicked
	$(".btn").click(function () {
		var btnClicked=$(this).attr("ID");
		var sectionNumber=btnClicked.substring(3,5);//extracts the button number, i.e. btn1 becomes 1
		var targetSection = "#section"+sectionNumber;
		if(btnClicked !== "btnProjects") {
			$("html, body").stop().animate({//stop is for quick clicking of buttons to stop current action
				"scrollTop": $(targetSection).offset().top - navH//the executes the scrolling action to new y position
			}, scrollTime, easingMethod);
		} else {
			window.location.href="/~UsernamE";
		}
	});
	var scrollFactor = 0.8;//ANY decimal or integer works
	$(window).bind('scroll',function(){
		parallaxScroll();
	});
	var scrolled, targetSection, section1H, section2H, section3H, section4H, section5H, allSectionH;
	section1H=$("#section1").height();
	section2H=$("#section2").height();
	section3H=$("#section3").height();
	section4H=$("#section4").height();
	section5H=$("#section5").height();
	function parallaxScroll(){
		scrolled = $(window).scrollTop();
		if(scrolled > 0 && scrolled < windowH*1){
			allSectionH=0;
			targetSection = $("#header1");
		}
		if(scrolled >= section1H && scrolled < (section1H+section2H+navH)){
			allSectionH = section1H;
			targetSection = $("#header2");
		}
		if(scrolled >= (section1H+section2H) && scrolled < (section1H+section2H+section3H+navH)){
			allSectionH = section1H + section2H;
			targetSection = $("#header3");
		}
		if(scrolled >= (section1H+section2H+section3H) && scrolled < (section1H+section2H+section3H+section4H+navH)){
			allSectionH = section1H + section2H + section3H;
			targetSection = $("#header4");
		}
		if(scrolled >= (section1H+section2H+section3H+section4H) && scrolled < (section1H+section2H+section3H+section4H+section5H+navH)){
			allSectionH = section1H + section2H + section3H + section4H;
			targetSection = $("#header5");
		}
		targetSection.css("background-position","center "+ (0-((scrolled-allSectionH)*scrollFactor))+'px');
	}
});